PDA

View Full Version : Java JRE & SDK



Jason-X
April 13th, 2005, 07:02 PM
I'm thinking of having a go at java programming. I already have JRE installed on my system with the help of the Ubuntu Guide.

Looking at some of the tutorials on the net it seems I need Java SDK for development. I take it I can install this along side JRE. Will this cause any problems?

Thanks
Jason

kingojb
April 13th, 2005, 07:19 PM
No problem at all.

If you're learning java have a look at bluej (http://www.bluej.org/), it's great for learning. A lot of universities start their students on it, mine did. It's not very feature full, but the class diagrams it shows are handy and the object bench is useful too.

Oly

Jason-X
April 13th, 2005, 07:30 PM
Thanks for confiming this for me Oly.

Your right, Bluej does look good for beginners. I'll give it a go.

Cheers Jason

kingojb
April 13th, 2005, 07:37 PM
No problem.

Good luck with the java!

Oly

soul_rebel
April 13th, 2005, 07:42 PM
the skd (or jdk) already contains jre. there's no need to have them both.

Jason-X
April 14th, 2005, 08:21 AM
the skd (or jdk) already contains jre. there's no need to have them both.

So would it be best to remove JRE first and then just install JDK?

abelsna@nybro
April 14th, 2005, 02:58 PM
It's no problem having both an jre and jdk, just make sure that when you install an java IDE (bluej, netbeans, jdeveloper, etc) you make it point at the "jdk", this usually done during installation.

By the way, i have enjoyed learning java by working in bluej.

soul_rebel
April 14th, 2005, 03:38 PM
the skd (or jdk) already contains jre. there's no need to have them both.

That's it
you need to run java -> jre
you need to develop and run java -> jdk

you need both jdk and jre -> NO! you are wasting space, using only one of those jre and risking to mess things.

Jason-X
April 14th, 2005, 06:14 PM
Thanks for the help everyone. This is making sense now.

I've unistalled the original JRE that I had on my system and installed JDK. I noticed that JRE was within JDK and have linked the plugins to Mozilla-Firefox as before. This all works fine now.

Cheers Jason